<template>
 <div id="login">
  <div class="container">
    <div class="login-box shadow mb-5 bg-white rounded m-auto">
      <div class="p-5">
        <form> 
          <h3 class="login-head mb-4 text-center"><a href="#/" title="Login"><img src="@/assets/logo.png" width="290px"></a></h3>
          <div class="form-group">
            <label for="email">Ingresa un correo electrónico:</label>
            <input type="email" v-model="email" class="form-control form-input" id="email" />
          </div>
          <div class="form-group">
            <label for="password">Ingresa una contraseña:</label>
            <input type="password" v-model="password" class="form-control form-input" id="password" />
          </div>
          <div class="form-group">
            <label for="password">Ingresa de nuevo la contraseña:</label>
            <input type="password" v-model="passwordVerification" class="form-control form-input" id="passwordVerification" />
          </div>
          <div class="text-center mt-4">
            <button type="button" @click="createUser" class="btn btn-primary w-100 btn-md">REGISTRARSE</button>

          </div>
        </form>
      </div>
    </div>
  </div>
</div>
</template>

<script>
import { RTDB } from '../main.js';
  import { AUTH } from '../main.js';
  import { vue } from "../main.js";
  export default {

    name: "register",
    data() {
      return {
        email:"",
        password:"",
        passwordVerification: ""        
      };
    },
    methods:{
      createUser(){
       console.log("Se creará un usuario");
       let _self = this;
       if(this.passwordVerification===this.password)
       {
        AUTH.createUserWithEmailAndPassword(this.email, this.password)
        .then(function (user) {
          console.log('¡Creamos al usuario!');
          _self.addUser(_self.email);
        })
        .catch(function (error) {
          console.error(error)
          _self.$toasted.show(error.message,{
             theme: "toasted-primary", 
             position: "top-right", 
             duration : 5000
          })
        });

      }else{
        this.$toasted.show('No coinciden las contraseñas.',{
             theme: "toasted-primary", 
             position: "top-right", 
             duration : 5000
          })
      }
    },
    addUser(email){
      let valu=this.findLastUser()
      RTDB.ref('usuario/'+valu).set({
        correo:email,
        family:0
      })
      this.$router.push({name:'login'})
    },
    findLastUser(){
      let cont=0
      RTDB.ref('usuario/').on('value', function(snapshot) {
        for(let t in snapshot.val()){
          cont=t;   
          console.log('aqui '+t)
        }
        console.log('sali con el valor: '+cont);
      });
      cont++;
      return cont;
    }
  },
  created(){
    this.findLastUser();
  }

}; 
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
#login {
  margin-top: 65px;
}
.login-box{
  max-width: 480px;
}
.form-input, .form-input:focus{
  border-color: #3C394A;
  border-bottom-width: 2px;
  border-top: 0;
  border-right: 0;
  border-left: 0;
  border-radius: 0;
  box-shadow: none;
  max-width: 100%;
}
.form-input:focus{
  border-color: #009A9A;
}
.btn-primary {
  color: #fff;
  background-color: #009A9A;
  border-color: #009A9A;
}
.btn-primary:hover{
  background-color: #45b5b5 !important;
}
</style>
